Skip to content

Get Agreement Info By Date

Operation
wsdlGetAgreementInfoByDate
SOAP Action
uri:FlexForce/wsdlGetAgreementInfoByDate
Service
FlexForce
Port
FlexForcePort
Style
rpc

Return agreement information for an employee on a specific date.


Request

Message: wsdlGetAgreementInfoByDateRequest

apiKeystringrequired

API key of the unit.

infoByDateInfoByDaterequired

The date + list of employee badge numbers to query — see the InfoByDate type.

datestringrequired

The date the agreement info should reflect.

FormatYYYY-MM-DD
EmployeeBadgeNoEmployeeBadgeNorequired

Wrapper carrying one or more badgeNo entries identifying the employees to query.

badgeNostringrequired

Badge number of an employee to query.

curl -X POST 'https://api.quinyx.com/FlexForceWebServices.php' \
  -H 'Content-Type: text/xml; charset=utf-8' \
  -H 'SOAPAction: "uri:FlexForce/wsdlGetAgreementInfoByDate"' \
  --data @- <<'EOF'
<?xml version="1.0" encoding="UTF-8"?>
<soap:Envelope xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:SOAP-ENC="http://schemas.xmlsoap.org/soap/encoding/" xmlns:tns="https://api.quinyx.com/soap/FlexForce">
  <soap:Body>
    <tns:wsdlGetAgreementInfoByDate>
    <apiKey xsi:type="xsd:string">string</apiKey>
    <infoByDate xsi:type="tns:InfoByDate">
      <date xsi:type="xsd:string">string</date>
      <EmployeeBadgeNo xsi:type="tns:EmployeeBadgeNo">
        <badgeNo xsi:type="xsd:string">string</badgeNo>
      </EmployeeBadgeNo>
    </infoByDate>
    </tns:wsdlGetAgreementInfoByDate>
  </soap:Body>
</soap:Envelope>
EOF

Response

Message: wsdlGetAgreementInfoByDateResponse

returnArray<AgreementInfoByDate>

Array of AgreementInfoByDate records, one per matched employee.

itemAgreementInfoByDate

A single employee's agreement details on a queried date, returned by wsdlGetAgreementInfoByDate.

badgeNostringrequired

Badge number of the employee.

agreementIdintrequired

Internal id of the matching agreement.

extAgreementIdstring

External id of the agreement, when set.

agreementUnitIdintrequired

Internal id of the unit that owns the agreement.

agreementUnitNamestringrequired

Display name of the unit that owns the agreement.

agreementTemplateIdint

Internal id of the agreement template, when the agreement is template-based.

agreementTemplateNamestring

Display name of the agreement template, when applicable.

employmentRatedecimalrequired

Employment rate (1.0 = 100%, 0.42 = 42%).

additionByWorkedYearsdecimalrequired

Salary addition based on years worked.

additionByAgedecimalrequired

Salary addition based on the employee's age.

additionByPersonalAdjustmentdecimalrequired

Salary addition from a personal adjustment.

hourlySalarydecimalrequired

Hourly salary on the queried date.

monthlySalarydecimal

Monthly salary on the queried date, when set.

calculatedSalarydecimalrequired

Effective salary on the queried date, including all additions.

<?xml version="1.0" encoding="UTF-8"?>
<soap:Envelope xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:SOAP-ENC="http://schemas.xmlsoap.org/soap/encoding/" xmlns:tns="https://api.quinyx.com/soap/FlexForce">
  <soap:Body>
    <tns:wsdlGetAgreementInfoByDateResponse>
    <return xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="tns:AgreementInfoByDate[1]">
      <item xsi:type="tns:AgreementInfoByDate">
        <badgeNo xsi:type="xsd:string">string</badgeNo>
        <agreementId xsi:type="xsd:int">0</agreementId>
        <extAgreementId xsi:type="xsd:string">string</extAgreementId>
        <agreementUnitId xsi:type="xsd:int">0</agreementUnitId>
        <agreementUnitName xsi:type="xsd:string">string</agreementUnitName>
        <agreementTemplateId xsi:type="xsd:int">0</agreementTemplateId>
        <agreementTemplateName xsi:type="xsd:string">string</agreementTemplateName>
        <employmentRate xsi:type="xsd:decimal">0</employmentRate>
        <additionByWorkedYears xsi:type="xsd:decimal">0</additionByWorkedYears>
        <additionByAge xsi:type="xsd:decimal">0</additionByAge>
        <additionByPersonalAdjustment xsi:type="xsd:decimal">0</additionByPersonalAdjustment>
        <hourlySalary xsi:type="xsd:decimal">0</hourlySalary>
        <monthlySalary xsi:type="xsd:decimal">0</monthlySalary>
        <calculatedSalary xsi:type="xsd:decimal">0</calculatedSalary>
      </item>
    </return>
    </tns:wsdlGetAgreementInfoByDateResponse>
  </soap:Body>
</soap:Envelope>

Change log

Date Description
2018-12-04 created.